 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SIVI</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK REL="SHORTCUT ICON" HREF="../sivi.ico">
<LINK href="../general.css" type=text/css rel=stylesheet>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>
 <link rel="stylesheet" href="../toastn/style.css">
 <script src="../toastn/cute-alert.js"></script>

<script language="javascript">
function format(input)
{
var num = input.value.replace(/\./g,'');
if(!isNaN(num)){
num = num.toString().split('').reverse().join('').replace(/(?=\d*\.?)(\d{3})/g,'$1.');
num = num.split('').reverse().join('').replace(/^[\.]/,'');
input.value = num;
}

else{ //alert('Solo se permiten numeros');
input.value = input.value.replace(/[^\d\.]*/g,'');
}
}
</script>

</head>

<BODY onLoad="parametros.id.focus();">
<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	
include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$ip=getenv("REMOTE_ADDR");


include "../conexion.php";
$id="";	$cantidad="";	$precio=""; 	$proveedor=""; 	$observacion=""; 	$fecha="";		$codpro="";
$factura="";$valorfactura="";$ivafactura="";$fechafactura="";$nombrep="";
$fechavence="";$iva10="";$iva5="";
date_default_timezone_set('America/Bogota');
$hora=date("H:i:s");
$fechasis=date("Y-m-d");

$proveedor=$_REQUEST["proveedor"]; 
$factura=$_REQUEST["factura"]; 
$fechafactura=$_REQUEST["fechafactura"]; 


										 						 						  
if(isset($_REQUEST["oculto"]))
{ 
	$proveedor=$_REQUEST["proveedor"]; 
	$factura=$_REQUEST["factura"]; 
	$fechafactura=$_REQUEST["fechafactura"]; 
	$id=$_REQUEST["id"];
	$idn=$_REQUEST["idn"];   	
	
  
 if($_REQUEST["ocargainventario"]==1)
  {
   	$cantidad=str_replace('.','',$_REQUEST["cantidad"]); 
	$cantidadn=str_replace('.','',$_REQUEST["cantidadn"]); 
	$observacion=$_REQUEST["observacion"]; $pasa=0;
	
	if($id<>"" && $cantidad>0 && $idn<>"" && $cantidadn>0)
		{
			   $sql_datosrs=mysqli_query($conexion,"SELECT count(*) from producto where id='".$id."'");
			   while($datosrs= mysqli_fetch_row($sql_datosrs)){ $contarp=$datosrs[0];}  
			   if($contarp>=1)
				  {
					  $obs="Ajuste Inventario desagregar de bulto a kilos/@ / $observacion"; 
					  $fecha=date("Y-m-d");
					  $sql_insert1=mysqli_query($conexion,"insert into inventario  (producto,cantidad,observacion,fechaingreso,usuario,fecsis)
															 values ('".$id."','-".$cantidad."',
																	 '".$obs."','".$fecha."',
																	 '".$vg_login."','".date("Y-m-d")."')");
					 if($sql_insert1){$pasa=1;}												 
				  }
				
			   $sql_datosrs=mysqli_query($conexion,"SELECT count(*) from producto where id='".$idn."'");
			   while($datosrs= mysqli_fetch_row($sql_datosrs)){ $contarp=$datosrs[0];}  
				  if($contarp>=1)
					  {
						  $observacion="Se agrega por Ajuste Inventario desagregar de bulto a kilos/@ / $observacion"; 
						  $fecha=date("Y-m-d");
						  $sql_insert2=mysqli_query($conexion,"insert into inventario  (producto,cantidad,observacion,fechaingreso,usuario,fecsis)
																 values ('".$idn."','".$cantidadn."',
																		 '".$obs."','".$fecha."',
																		 '".$vg_login."','".date("Y-m-d")."')");
					     if($sql_insert2){$pasa=1;}	
					  }  
			
		  }
	else
	 {  
	    ?>				  
						<script>
                            cuteToast({
                                  type: "error", // or 'info', 'error', 'warning', success
                                  message: "Digite la informacion del codigo producto, cantidad ",
                                  timer: 2000
                                })
                            </script>
                        <?php
	 }	
	 
	 if($pasa==1)
	  {
		  ?>				  
			<script>
                cuteToast({
                      type: "success", // or 'info', 'error', 'warning', success
                      message: "Informacion Procesada ",
                      timer: 2000
                    })
                </script>
        <?php
	  }
  }
 
 
if($_REQUEST["oquita"]==1)
	{   
	    $c=1; $canti=$_REQUEST['canti'];
		  while($c<=$canti)
		   {  if(isset($_REQUEST['ch'.$c])) {$val=1; }	  else {$val=0;} 
			   $idi=$_REQUEST['idi'.$c];
			   if($val==1)
				  {   $sql_delete=mysqli_query($conexion,"delete from  inventario  where id=".$idi."");
					  if($sql_delete) {}
					  else {}
				   }//fin valida chequeo
			  $c=$c+1;
		   }//fin cliclo
  }//fin

  if($_REQUEST["Olimpiar"]==1)
  { $id=""; } 
}


?>
<form name="parametros" method="post" action="" >
<div id="informes" class="container text-center" style="width:98%;">
    <div class="panel panel-default">
      <div class="panel-heading">AJUSTES DE INVENTARIO</div>
      <div align="center">
      <table width="100%" border="0" cellspacing="0" cellpadding="0" class="texto" >
                    <tr>
                      <td height="1">
                       <center>
                       <input name='buscar3' type='button'  id='buscar3' value='Busqueda/Productos'   class="btn btn-primary" title="Clic para ver reporte"
						  onClick="javascript:window.open('../ventas/frm_producto_buscar.php?Obuscar=0','ReporteParametros','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" ></center>
                       <table width="100%" border="1" cellspacing="0" cellpadding="0" class='table table-hover' bordercolor='#cccccc'>
                       <tr ></tr>
                       <tr ></tr>
                       <tr ></tr>
                       <tr ></tr>
                       <tr>
                         <td width="10%" class="btn-primary"><div align="center"></div></td>
                         <td colspan="2"  class="btn-primary"><div align="center">Producto</div></td>
                         <td width="10%" class="btn-primary" align="center"  >Cantidad</td>
                         <td width="30%" colspan="20" class="btn-primary"><div align="center" >Observacion</div></td>
                       </tr>
                       <tr >
                         <td rowspan="3" align="center" valign="middle" ><div align="center">
                           <input name="guardar" type="submit" id="guardar" value="Guardar" title="Clic para Guardar"  class="btn btn-primary" onClick="ocargainventario.value=1;Obuscar.value=1;" >
                         </div></td>
                         <td width="26%"><div align="center">
                           <input name="id" type="text" class="form-control"  style="width: 100%" id="id"   value="<?php echo $id; ?>" 
								onKeyPress="return valida(event);" 
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"
                               >
                         </div></td>
                         <td width="4%"><input name="buscar" type="submit" id="buscar" value="Buscar" title="Clic para Buscar"  class="btn btn-primary" onClick="Obuscar.value=1;Obuscar1.value=1;" ></td>
                         <td rowspan="2"><input name="cantidad" type="text" class="form-control"  style="width: 100%" id="cantidad"   value="<?php echo $cantidad; ?>" 
								onKeyUp="format(this)" onChange="format(this)" onFocus="format(this)" 
				  					onKeyPress="return valida(event);"></td>
                         <td rowspan="3" ><textarea name="observacion" cols="25" rows="4" class="form-control"  style="width: 100%" id="observacion" onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"><?php echo $observacion; ?></textarea></td>
                       </tr>
                       <tr >
                         <td colspan="2"><?php 
									if($id>0 && $id<>"" && $_REQUEST["Obuscar"]==1)
									  {     $contar1=0;
											$sql_datosrs1=mysqli_query($conexion,"SELECT count(*) from producto	where id='".$id."'");
											while($datos1= mysqli_fetch_row($sql_datosrs1)){$contar1=$datos1[0]; }
											if($contar1>=1)	
											  {
												$sql_datosrs=mysqli_query($conexion,"SELECT id,nombre,descripcion,preciounitario,precioventa,productofamilia,marca,iva,
																		codigobarra,estado,ubicacion ,paqueteunidad,cantidadpaquete,preciopaquete,linea,grupo,unidad
																		from producto
																		where id='".$id."'");
												while($datos= mysqli_fetch_row($sql_datosrs))
												{
													$idp=$datos[0];
													echo $nombrep=$datos[1];
													$descripcion=$datos[2];
													$preciounitario=number_format($datos[3],0,'','.');
													$precioventa=number_format($datos[4],0,'','.');
													$productofamilia=$datos[5];
													$marca=$datos[6];
													$iva=number_format($datos[7],0,'','.');
													$codigobarra=$datos[8];
													$estado=$datos[9];
													$ubicacion=$datos[10];
													$paqueteunidad=$datos[11];
													$cantidadpaquete=number_format($datos[12],0,'','.');
													$preciopaquete=number_format($datos[13],0,'','.');
													$linea=$datos[14];
													$grupo=$datos[15];
													$unidad=$datos[16];
													
													$cantidadinv=0;$saldo=0;
													$sql_inv=mysqli_query($conexion,"SELECT sum(cantidad) as cantidad from inventario where producto='".$id."'");
													while($datosrs= mysqli_fetch_row($sql_inv)){ $cantidadinv=$datosrs[0];}
													 
													$sql_datosventas=mysqli_query($conexion,"SELECT sum(cantidad) as cantidad from venta
																		 					 where producto='".$id."' and estado='F'");
													while($datosrs= mysqli_fetch_row($sql_datosventas))   { $cantidadv=$datosrs[0]; }
													$cantidadv=0;
													$sql_datosventas=mysqli_query($conexion,"SELECT sum(cantidad) as cantidad from venta
																		 					 where producto='".$id."' and estado='F'");
													while($datosrs= mysqli_fetch_row($sql_datosventas))   { $cantidadv=$datosrs[0]; }
													$cantidadi=0;
												
													$saldo=$cantidadinv-$cantidadv;
													echo "<br>Saldo: ".$saldo;
													
												}
											  }
											 else
											  {
											   ?>
                           <script>
                                                    cuteToast({
                                                          type: "error", // or 'info', 'error', 'warning', success
                                                          message: "No existe el producto",
                                                          timer: 2000
                                                        })
                                                    </script>
                           <?php
											  } 
									  }
								
								?></td>
                       </tr>
                       <tr >
                         <td><input name="idn" type="text" class="form-control"  style="width: 100%" id="idn"   value="<?php echo $idn; ?>" 
								onKeyPress="return valida(event);" 
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"
                               >
                           <?php 
									if($idn>0 && $idn<>"" && $_REQUEST["Obuscar1"]==1)
									  {     $contar1=0;
											$sql_datosrs1=mysqli_query($conexion,"SELECT count(*) from producto	where id='".$idn."'");
											while($datos1= mysqli_fetch_row($sql_datosrs1)){$contar1=$datos1[0]; }
											if($contar1>=1)	
											  {
												$sql_datosrs=mysqli_query($conexion,"SELECT id,nombre,descripcion,preciounitario,precioventa,productofamilia,marca,iva,
																		codigobarra,estado,ubicacion ,paqueteunidad,cantidadpaquete,preciopaquete,linea,grupo,unidad
																		from producto
																		where id='".$idn."'");
												while($datos= mysqli_fetch_row($sql_datosrs))
												{
													$idp=$datos[0];
													echo $nombrep=$datos[1];
													$descripcion=$datos[2];
													$preciounitario=number_format($datos[3],0,'','.');
													$precioventa=number_format($datos[4],0,'','.');
													$productofamilia=$datos[5];
													$marca=$datos[6];
													$iva=number_format($datos[7],0,'','.');
													$codigobarra=$datos[8];
													$estado=$datos[9];
													$ubicacion=$datos[10];
													$paqueteunidad=$datos[11];
													$cantidadpaquete=number_format($datos[12],0,'','.');
													$preciopaquete=number_format($datos[13],0,'','.');
													$linea=$datos[14];
													$grupo=$datos[15];
													$unidad=$datos[16];
													
													
													$cantidadinv=0;$saldo=0;
													$sql_inv=mysqli_query($conexion,"SELECT sum(cantidad) as cantidad from inventario where producto='".$idn."'");
													while($datosrs= mysqli_fetch_row($sql_inv)){ $cantidadinv=$datosrs[0];}
													 
													$sql_datosventas=mysqli_query($conexion,"SELECT sum(cantidad) as cantidad from venta
																		 					 where producto='".$idn."' and estado='F'");
													while($datosrs= mysqli_fetch_row($sql_datosventas))   { $cantidadv=$datosrs[0]; }
													$cantidadv=0;
													$sql_datosventas=mysqli_query($conexion,"SELECT sum(cantidad) as cantidad from venta
																		 					 where producto='".$idn."' and estado='F'");
													while($datosrs= mysqli_fetch_row($sql_datosventas))   { $cantidadv=$datosrs[0]; }
													$cantidadi=0;
													
													$saldo=$cantidadinv-$cantidadv;
													echo "<br>Saldo: ".$saldo;
												}
											  }
											 else
											  {
											   ?>
                           <script>
                                                    cuteToast({
                                                          type: "error", // or 'info', 'error', 'warning', success
                                                          message: "No existe el producto",
                                                          timer: 2000
                                                        })
                                                    </script>
                           <?php
											  } 
									  }
								
								?></td>
                         <td><input name="buscar2" type="submit" id="buscar2" value="Buscar" title="Clic para Buscar"  class="btn btn-primary" onClick="Obuscar1.value=1;Obuscar.value=1;" ></td>
                         <td><input name="cantidadn" type="text" class="form-control"  style="width: 100%" id="cantidadn"   value="<?php echo $cantidadn; ?>" 
								onKeyUp="format(this)" onChange="format(this)" onFocus="format(this)" 
				  					onKeyPress="return valida(event);"></td>
                         
                       </tr>
                       </table></td>
                    </tr>
                    <tr> 
                      <td><div align="center"> 
                          <input name="oguardar" type="hidden" id="oguardar">
                          <input name="Obuscar" type="hidden" id="Obuscar">
                          <input name="Obuscar1" type="hidden" id="Obuscar1">
                          <input name="oquita" type="hidden" id="oquita">
                          <input name="obuscadato" type="hidden" id="obuscadato">
                          <input name="oculto" type="hidden" id="oculto">
                          <input name="ocargainventario" type="hidden" id="ocargainventario">
						  <input name="obuscarcodigo" type="hidden" id="obuscarcodigo">
						  <input name="Olimpiar" type="hidden" id="Olimpiar">	
                          <input name="omodificar" type="hidden" id="omodificar">	                          					  						  
                          <br>
                        </div></td>
                    </tr>
        </table>
  
</div>
</div>
</div>  
 
 <script>
function valida(e){
    tecla = (document.all) ? e.keyCode : e.which;
	//Tecla de retroceso para borrar, siempre la permite
	 if (tecla==13){
        document.parametros.submit(); 
    }  
	
	 if (tecla==8){
        return true;
    }  
	if (tecla==46){
        return true;
    } 
	
	if (tecla==120 || tecla==88){
        return true;
    } 
    // Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
}
</script>
 
</form>
<div id="resultado"></div>
</body>
</html>
